Summary:        The card game Skat as defined by the official Skat Order
Name:           xskat
Version:        4.0
Release:        %mkrel 21
License:        GPLv2
Group:          Games/Cards
Url:            https://www.xskat.de/xskat.html
Source0:        http://www.gulu.net/xskat/%{name}-%{version}.tar.bz2
Patch1:		xskat-implicit-int.patch
BuildRequires:  pkgconfig(x11)
BuildRequires:  rman
BuildRequires:  gccmakedep
BuildRequires:  imagemagick
BuildRequires:  imake

%description
XSkat lets you play the card game Skat as defined by
the official Skat Order on any Un*x machine running X11.

Features

* Single- and multiplayer mode.
* Playing over LAN or IRC.
* Game lists and logs.
* Three types of scoring.
* English or German text.
* German or French suited cards.
* Different computer strategies.
* Pre-definable card distributions.
* Variations: Ramsch, Bock, Kontra & Re, ...

%prep
%autosetup -p1

%build
%configure --bindir=%{_gamesbindir}
%make_build CDEBUGFLAGS="%{build_cflags}"

%install
mkdir -p %{buildroot}{%{_gamesbindir},%{_mandir}/{man1,de/man1},%{_menudir}}
install xskat %{buildroot}%{_gamesbindir}
install xskat.man %{buildroot}%{_mandir}/man1/xskat.1
install xskat-de.man %{buildroot}%{_mandir}/de/man1/xskat.1

mkdir -p %{buildroot}%{_iconsdir}
convert icon.xbm %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Xskat
Comment=The Skat game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;CardGame;
EOF

%files
%doc README* CHANGE*
%{_gamesbindir}/%{name}
%{_datadir}/applications/mageia*
%{_iconsdir}/%{name}.png
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*


%changelog
* Sat Aug 10 2024 wally <wally> 4.0-21.mga10
+ Revision: 2085362
- fix build with gcc14

* Thu Mar 31 2022 umeabot <umeabot> 4.0-20.mga9
+ Revision: 1836774
- Mageia 9 Mass Rebuild

* Thu Jul 09 2020 ovitters <ovitters> 4.0-19.mga8
+ Revision: 1603635
- drop Mageia specific category from desktop file (mga#2449)

* Fri Feb 14 2020 umeabot <umeabot> 4.0-18.mga8
+ Revision: 1518953
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 4.0-17.mga7
+ Revision: 1301981
- Mageia 7 Mass Rebuild

* Sat Sep 02 2017 daviddavid <daviddavid> 4.0-16.mga7
+ Revision: 1150833
- honor user CDEBUGFLAGS thus fixing empty debugsourcefiles.list

* Fri Feb 05 2016 umeabot <umeabot> 4.0-15.mga6
+ Revision: 938892
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0-14.mga5
+ Revision: 750700
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0-13.mga5
+ Revision: 690780
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.0-12.mga4
+ Revision: 520823
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 4.0-11.mga3
+ Revision: 387402
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 08 2011 grenoya <grenoya> 4.0-10.mga1
+ Revision: 96222
- clean old Mdv syntax
- imported package xskat


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0-10mdv2011.0
+ Revision: 615736
- the mass rebuild of 2010.1 packages

* Sat Feb 20 2010 Funda Wang <fwang@mandriva.org> 4.0-9mdv2010.1
+ Revision: 508757
- simplify BR

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 4.0-8mdv2009.0
+ Revision: 262914
- fix build (wrongly broken in r148455 on 2008-01-11)
- rebuild
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 4.0-5mdv2008.1
+ Revision: 130553
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 4.0-4mdv2007.0
- fix buildrequires
- xdg menu

* Sun Mar 05 2006 Olivier Thauvin <nanardon@mandriva.org> 4.0-3mdk
- rebuild

* Fri Feb 18 2005 Götz Waschk <waschk@linux-mandrake.com> 4.0-2mdk
- fix menu
- drop prefix
- fix buildrequires

* Sat May 29 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0-1mdk
- 4.0
- fix url

* Sat Jan 03 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.4-3mdk
- birthday rebuild
- s//usr/bin//usr/games/g

